summaryrefslogtreecommitdiff
path: root/taler-build
diff options
context:
space:
mode:
authorMarcello Stanisci <marcello.stanisci@inria.fr>2016-06-17 22:56:41 +0200
committerMarcello Stanisci <marcello.stanisci@inria.fr>2016-06-17 22:56:41 +0200
commit4fb33db4b8c14a254588f5a9064e72fa78e1b4f1 (patch)
tree8e86824a3ddd15ba2aaea983ce8ff5a37e835417 /taler-build
parent13639df5cb692ebc79ba58ae7d5e6738ea2bc2b1 (diff)
parente9ad6d01fe1e72f5845473c57d5a14ccc08fe5c0 (diff)
downloaddeployment-4fb33db4b8c14a254588f5a9064e72fa78e1b4f1.tar.gz
deployment-4fb33db4b8c14a254588f5a9064e72fa78e1b4f1.tar.bz2
deployment-4fb33db4b8c14a254588f5a9064e72fa78e1b4f1.zip
Merge branch 'master' of ssh://taler.net/var/git/deployment
Diffstat (limited to 'taler-build')
-rwxr-xr-xtaler-build/coverage.sh32
-rwxr-xr-xtaler-build/switch_active.sh4
2 files changed, 22 insertions, 14 deletions
diff --git a/taler-build/coverage.sh b/taler-build/coverage.sh
index 2ed3df8..33bca81 100755
--- a/taler-build/coverage.sh
+++ b/taler-build/coverage.sh
@@ -2,15 +2,23 @@
# Run from 'exchange/' top-level directory to generate code coverage data.
export CFLAGS="-g -O0"
export PATH=$HOME/local/bin:$PATH
-cd $HOME/exchange/
-git pull
-./bootstrap
-./configure --prefix=$HOME/local --with-gnunet=$HOME/local --with-microhttpd=$HOME/local --enable-coverage
-make clean install
-TOP=`pwd`
-mkdir -p doc/coverage/
-lcov -d $TOP -z
-make check || exit 1
-lcov -d $TOP -c --no-external -o doc/coverage/coverage.info
-lcov -r doc/coverage/coverage.info **/test_* **/perf_* -o doc/coverage/rcoverage.info
-genhtml -o doc/coverage doc/coverage/rcoverage.info
+CONFIGURE="./configure --prefix=$HOME/local --with-gnunet=$HOME/local --with-microhttpd=$HOME/local --enable-coverage"
+
+for comp in exchange merchant; do
+ cd $HOME/$comp
+ git pull
+ ./bootstrap
+ if test $comp = 'merchant'; then
+ $CONFIGURE "--with-exchange=$HOME/local"
+ else
+ $CONFIGURE
+ fi
+ make clean install
+ TOP=$(pwd)
+ mkdir -p doc/coverage/
+ lcov -d $TOP -z
+ make check || exit 1
+ lcov -d $TOP -c --no-external -o doc/coverage/coverage.info
+ lcov -r doc/coverage/coverage.info **/test_* -o doc/coverage/rcoverage.info
+ genhtml -o doc/coverage doc/coverage/rcoverage.info
+done
diff --git a/taler-build/switch_active.sh b/taler-build/switch_active.sh
index 388d488..a16cad0 100755
--- a/taler-build/switch_active.sh
+++ b/taler-build/switch_active.sh
@@ -26,8 +26,8 @@ fi
# build and restart
# FIXME calling 'make check' before switching still missing
-$HOME/deployment/bin/taler-deployment-build
-$HOME/deployment/bin/taler-deployment-restart
+taler-deployment-build
+taler-deployment-restart
# check exit code
if [[ $? == 0 ]]